Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.addressing
Class WsaConstants

    java.lang.Object
      org.apache.muse.ws.addressing.WsaConstants

public class WsaConstants
extends java.lang.Object

WsaUtils is a collection of properties that is useful when programming against the WS-Addressing spec. This class uses WS-A 1.0 (08/2005).

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName` | `ACTION_NOT_SUPPORTED_FAULT_QNAME`
`static QName` | `ACTION_QNAME`
`static QName` | `ADDRESS_QNAME`
`static EndpointReference` | `ANONYMOUS_EPR` The anonymous EPR - this can be used for messages going through firewalls or situations where the source doesn't want to receive the reply.
`static java.lang.String` | `ANONYMOUS_URI` The URI for anonymous EPRs.
`static QName` | `DEFAULT_RESOURCE_ID_QNAME` The default identifier used for the implied resource pattern.
`static QName` | `DESTINATION_UNREACHABLE_FAULT_QNAME`
`static QName` | `EPR_QNAME` The standard EndpointReference QName - note that EPRs are not required to use this as their root element QName when serialized to XML.
`static QName` | `EPR_TYPE_QNAME` The name of the XSD EPR type.
`static QName` | `FAULT_TO_QNAME`
`static java.lang.String` | `FAULT_URI` The wsa:Action that all fault messages should use.
`static QName` | `FROM_QNAME`
`static QName` | `INVALID_HEADER_FAULT_QNAME`
`static java.lang.String` | `IS_REFERENCE_PARAMETER`
`static java.lang.String` | `IS_REFERENCE_PARAMETER_QNAME`
`static QName` | `MESSAGE_ID_QNAME`
`static QName` | `METADATA_QNAME`
`static java.lang.String` | `MUSE_ADDRESSING_PREFIX`
`static java.lang.String` | `MUSE_ADDRESSING_URI` The default URI for WS-A reference parameters.
`static java.lang.String` | `NAMESPACE_URI` The namespace of the WS-A 1.0 spec
`static QName` | `PARAMETERS_QNAME`
`static QName` | `PORT_TYPE_QNAME`
`static java.lang.String` | `PREFIX`
`static QName` | `PROBLEM_ACTION_QNAME`
`static QName` | `RELATES_TO_QNAME`
`static java.lang.String` | `RELATIONSHIP_TYPE`
`static java.lang.String` | `REPLY_RELATIONSHIP`
`static QName` | `REPLY_RELATIONSHIP_QNAME`
`static QName` | `REPLY_TO_QNAME`
`static QName` | `SERVICE_NAME_QNAME`
`static java.lang.String` | `SERVICE_PORT_NAME`
`static QName` | `TO_QNAME`

Constructor Summary
`WsaConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

  The namespace of the WS-A 1.0 spec

  See Also:
    Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### MUSE_ADDRESSING_URI

    public static final java.lang.String MUSE_ADDRESSING_URI

  The default URI for WS-A reference parameters.

  See Also:
    Constant Field Values

### MUSE_ADDRESSING_PREFIX

    public static final java.lang.String MUSE_ADDRESSING_PREFIX

See Also:
  Constant Field Values

### ANONYMOUS_URI

    public static final java.lang.String ANONYMOUS_URI

  The URI for anonymous EPRs.

  See Also:
    Constant Field Values

### ACTION_QNAME

    public static final QName ACTION_QNAME

### ADDRESS_QNAME

    public static final QName ADDRESS_QNAME

### DEFAULT_RESOURCE_ID_QNAME

    public static final QName DEFAULT_RESOURCE_ID_QNAME

  The default identifier used for the implied resource pattern. This is preferred to something like MUWS P1 ResourceId because it is generic to all resource types.

### EPR_QNAME

    public static final QName EPR_QNAME

  The standard EndpointReference QName - note that EPRs are not required to use this as their root element QName when serialized to XML.

### EPR_TYPE_QNAME

    public static final QName EPR_TYPE_QNAME

  The name of the XSD EPR type. For EPR XML instances, use EPR_QNAME.

### FAULT_TO_QNAME

    public static final QName FAULT_TO_QNAME

### FAULT_URI

    public static final java.lang.String FAULT_URI

  The wsa:Action that all fault messages should use.

  See Also:
    Constant Field Values

### FROM_QNAME

    public static final QName FROM_QNAME

### IS_REFERENCE_PARAMETER

    public static final java.lang.String IS_REFERENCE_PARAMETER

See Also:
  Constant Field Values

### IS_REFERENCE_PARAMETER_QNAME

    public static final java.lang.String IS_REFERENCE_PARAMETER_QNAME

See Also:
  Constant Field Values

### MESSAGE_ID_QNAME

    public static final QName MESSAGE_ID_QNAME

### METADATA_QNAME

    public static final QName METADATA_QNAME

### PARAMETERS_QNAME

    public static final QName PARAMETERS_QNAME

### PORT_TYPE_QNAME

    public static final QName PORT_TYPE_QNAME

### RELATES_TO_QNAME

    public static final QName RELATES_TO_QNAME

### RELATIONSHIP_TYPE

    public static final java.lang.String RELATIONSHIP_TYPE

See Also:
  Constant Field Values

### REPLY_RELATIONSHIP

    public static final java.lang.String REPLY_RELATIONSHIP

See Also:
  Constant Field Values

### REPLY_RELATIONSHIP_QNAME

    public static final QName REPLY_RELATIONSHIP_QNAME

### REPLY_TO_QNAME

    public static final QName REPLY_TO_QNAME

### SERVICE_NAME_QNAME

    public static final QName SERVICE_NAME_QNAME

### SERVICE_PORT_NAME

    public static final java.lang.String SERVICE_PORT_NAME

See Also:
  Constant Field Values

### TO_QNAME

    public static final QName TO_QNAME

### DESTINATION_UNREACHABLE_FAULT_QNAME

    public static final QName DESTINATION_UNREACHABLE_FAULT_QNAME

### ACTION_NOT_SUPPORTED_FAULT_QNAME

    public static final QName ACTION_NOT_SUPPORTED_FAULT_QNAME

### PROBLEM_ACTION_QNAME

    public static final QName PROBLEM_ACTION_QNAME

### INVALID_HEADER_FAULT_QNAME

    public static final QName INVALID_HEADER_FAULT_QNAME

### ANONYMOUS_EPR

    public static final EndpointReference ANONYMOUS_EPR

  The anonymous EPR - this can be used for messages going through firewalls or situations where the source doesn't want to receive the reply. Because this EPR is the same no matter where it is being "sent", we can share one instance of it with all components.

Constructor Detail

### WsaConstants

    public WsaConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD